<div class="templete">
    <gl-loading v-if="loading"></gl-loading>
    <div class="clsRootDiv" id="ParentDiv" v-else>
        <div id="wrapper" style="flex: 1;height:100%;  background:#fff;position:relative;">
            <!-- gl-message 专用 -->
            <div id="glmsg"></div>
            <!-- nav -->
            <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation" id="glnav" style="width:100%;max-width:1000px; margin:0 auto; ">
                <div class="container-fluid">
                    <!-- LOGO -->
                    <div class="navbar-header" id="glmess">
                        <button id="navcollapse" type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-ex1-collapse"
                            aria-expanded="false" aria-controls="navbar-ex1-collapse">
                            <span class="sr-only">Toggle nav</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" href="https://www.gl-inet.com/" target="blank">
                            <img src="/src/static/images/logo_64x20-color.png" style="width: 64px;height:20px;" />
                        </a>
                        <span class="navbar-brand">
                            {{t($lang.index.adminPanel)}}
                            <span class="badge">{{t($lang.index.beta)}}</span>
                        </span>
                    </div>

                    <!-- pc=>(Reboot、Logout、language) -->
                    <ul class="nav navbar-right top-nav">
                        <li class="dropdown">
                            <a class="dropdown-toggle RebotBtn" @click="reboot">
                                {{t($lang.index.reboot)}}
                            </a>
                        </li>
                        <li class="dropdown">
                            <a class="dropdown-toggle RebotBtn" @click="logout">
                                {{t($lang.index.logout)}}
                            </a>
                        </li>
                        <li class="dropdown" id="idLanguage">
                            <gl-select :option="language" class="index-language" @change="setlang" v-model="lang"></gl-select>
                        </li>
                    </ul>

                </div>
            </nav>

            <div id="page-wrapper" style="z-index:100;padding-top:51px;">
                <!-- 断网提示 -->
                <div class=" alert-danger idScanWifiAlertMsg text-center" v-if="noInter" style="padding: 12px 0px;margin-top: -1px;">
                    <div class="text-center" style="color: chocolate;">
                        <a target="_blank">{{t($lang.index.reConnect_inter)}}</a>
                    </div>
                </div>
                <!-- 路由器信息显示 -->
                <div id="idIndexInfo">
                    <div class="col-lg-12 " id="router-visual">
                        <div id="idStaInfo">
                            <div class="phone-only pull-left">
                                <div class="phone-only-internet clsStaInfo" :class="{active:phoneInter}">
                                    <div id="icon-connect2internet" class="gli-icon-internet col-xs-1"></div>
                                    <div class="text-left total-internet-no" style="width: 100px;height: 20px">
                                        <span v-if="waninfo.ip" class="client-no clsTotalClietsNum active">
                                            <span class="gli-icon-cable clsStaIcon" v-show="waninfo.success && waninfo.ip"></span>
                                        </span>
                                        <span v-else class="client-no clsTotalClietsNum">
                                            <span class="gli-icon-cable clsStaIcon"></span>
                                        </span>
                                    </div>
                                </div>
                                <br />
                                <div class="phone-only-internet clsTotalClietsPanel" :class="{'active': (wifiNum>0&&wifiNum) || (lanNum>0&&lanNum) ? true : false,'router': router.mode == 'router'}">
                                    <div id="icon-connect2client" class="gli-icon-client col-xs-1"></div>
                                    <div class="text-left total-client-no">
                                        <span class="client-no clsTotalClietsNum">
                                            {{wifiNum > 0 || lanNum > 0 ? wifiNum+lanNum : '...'}}
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-4 col-md-3 col-xs-2  hidden-xxxs" id="router-import">
                                <div class="float pull-right">
                                    <div class="float pull-right  hidden-xxxs">
                                        <div class="import-line"></div>
                                    </div>
                                    <div class="float import-opt clsStaInfo" id="wan-icon" v-if="wanicon" :class="{'active':waninfo.success && waninfo.ip || router.mode =='ap', 'mt300-wan': router.model == 'mt300n-v3'}"
                                        style="padding-top: 105px">
                                        <span class="import-txt clsStaSSID hidden-sm hidden-xs">{{t($lang.index.cable)}}</span>
                                        <span class="gli-icon-cable import-icon clsStaIcon"></span>
                                    </div>
                                    <br />
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-2 col-md-3 col-xs-3 text-center" id="usb-router-pic" :class="appIcon">
                            <!-- 路由器主图 -->
                            <div class="typeOfRouter" :id="appIcon" v-cloak style="cursor:pointer;position: relative;"></div>
                            <br />
                            <div v-for="item in getaps.aps" v-if="item.mode == 'ap'">
                                <div class="clsDeviceSSID" id="UpBarDeviceSSID" :class="{active: item.up}">
                                    {{item.ssid}}
                                </div>
                                <!-- <div class="clsDeviceMac active" v-if="ddns && router.model == 'usb150'" style="margin-top: 8px">
                                    DDNS: {{ddns}}
                                </div> -->
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-4 col-xs-3  hidden-xxxs" id="router-output">
                            <div class="float pull-left  hidden-xxxs">
                                <div class="output-line "></div>
                            </div>
                            <div class="float pull-left ">
                                <div class="float output-opt clsWifiClietsPanel" v-bind:class="{'active':wifiNum>0,'router': router.mode == 'router'}">
                                    <span class="gli-icon-client-wifi output-icon clsWifiClietsIcon"></span>
                                    <span class="client-no clsWifiClietsNum" v-text="wifiNum">
                                        {{t($lang.index.loading)}}
                                    </span>
                                    <span class="output-txt hidden-xs hidden-sm clsWifiClietsTxt">
                                        {{t($lang.index.wlanClients)}}
                                    </span>
                                </div>
                                <div class="float output-opt clsLanClietsPanel hide">
                                    <span class="gli-icon-client-lan output-icon clsLanClietsIcon"></span>
                                    <span class="output-txt hidden-xs hidden-sm">
                                        {{t($lang.index.lanClient)}}
                                    </span>
                                </div>
                                <div class="float output-opt clsLanClietsPanel " v-bind:class="{'active':lanNum>0,'router': router.mode == 'router'}">
                                    <span class="gli-icon-client-lan output-icon clsLanClietsIcon"></span>
                                    <span class="client-no clsLanClietsNum" v-text="lanNum">
                                        {{t($lang.index.loading)}}
                                    </span>
                                    <span class="output-txt hidden-xs hidden-sm">
                                        {{t($lang.index.lanClients)}}
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- router show -->
                <div class="container-fluid" style="height:100%;">
                    <transition name="component-fade" mode="out-in">
                        <router-view></router-view>
                    </transition>
                    <div class="clsGLFooter" style="width:100%;text-align:right;padding-right:20px;background:#fff;max-width:1300px;margin: 0px auto;">
                        <h6>
                            {{t($lang.index.copyright)}} © 2018
                            <a href="https://docs.gl-inet.com">{{t('GL.iNet')}} </a>
                            .{{t($lang.index.allRightReserved)}}.
                        </h6>
                    </div>
                </div>

                <!-- vodal -->
                <vodal :closeOnEsc="modal.esc" :show="modal.show" :animation="modal.animation" :title="modal.title"
                    :msg="modal.message" @close="CancelFirm" @comfirm="comfirm" className="my-dialog" :yes="modal.yes"
                    :no="modal.no" :type="modal.type" :msgTwo="modal.messageTwo" :msgThree="modal.messageThree">
                </vodal>
            </div>
        </div>
    </div>
</div>